Bug 735286 - Loading of nouveau module in initrd fails for a NV5 M64 graphics card
Summary: Loading of nouveau module in initrd fails for a NV5 M64 graphics card
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 16
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:modesetting]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 07:32 UTC by Joonas Sarajärvi
Modified: 2018-04-11 11:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 17:37:05 UTC


Attachments (Terms of Use)
boot messages recorded from serial console (25.99 KB, text/plain)
2011-09-02 07:32 UTC, Joonas Sarajärvi
no flags Details

Description Joonas Sarajärvi 2011-09-02 07:32:31 UTC
Created attachment 521158 [details]
boot messages recorded from serial console

Description of problem:
Something unexpected seems to happen with loading the nouveau module. This results in the graphics mode not being set and plymouth failing to work.

Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc3.git0.0.fc16.i686
kernel-3.1.0-0.rc4.git0.0.fc16.i686

How reproducible:
Every boot on this hardware.

Steps to Reproduce:
1. Have an ancient Nvidia graphics card installed
2. Install latest kernel packages into Fedora 16
3. Boot
  
Actual results:
Backtrace, system stays in text mode, gets stuck with plymouth waiting for something.

Expected results:
Graphics mode is set and system boots as Fedora usually does.

Additional info:
With console=ttyS0, the boot does not seem to get stuck. The same backtrace is still visible in the first console messages. All messages resulting from adding console=ttyS0 and booting are attached in the report.

Hardware profile of the system where this happens is available at
http://smolts.org/show?uuid=pub_b44e67c7-277d-4954-9be6-04aaa27fc934

Comment 1 Matěj Cepl 2011-09-02 17:01:08 UTC
[    7.430013] Call Trace:
[    7.430013]  [<f795eb70>] ? nouveau_bo_rd32+0x25/0x2b [nouveau]
[    7.430013]  [<f795f79f>] ? FIRE_RING+0x7a/0x8b [nouveau]
[    7.430013]  [<f79601ef>] nouveau_fence_channel_init+0x111/0x154 [nouveau]
[    7.430013]  [<f795dbdd>] ? FIRE_RING+0x7a/0x8b [nouveau]
[    7.430013]  [<f795df7d>] ? nouveau_dma_init+0x148/0x153 [nouveau]
[    7.430013]  [<f7959b76>] nouveau_channel_alloc+0x4a8/0x54a [nouveau]
[    7.430013]  [<f795877d>] nouveau_card_init+0xf89/0x10a2 [nouveau]
[    7.430013]  [<f7958e78>] nouveau_load+0x4d7/0x50f [nouveau]
[    7.430013]  [<f7862b1e>] drm_get_pci_dev+0x148/0x23a [drm]
[    7.430013]  [<c08586a7>] ? _raw_spin_unlock_irqrestore+0x44/0x52
[    7.430013]  [<f79b2be1>] nouveau_pci_probe+0xd/0xf [nouveau]
[    7.430013]  [<c0607b2f>] pci_device_probe+0x62/0xab
[    7.430013]  [<c069c4fe>] driver_probe_device+0x129/0x208
[    7.430013]  [<c0857166>] ? mutex_lock_nested+0x43/0x49
[    7.430013]  [<c069c62c>] __driver_attach+0x4f/0x6b
[    7.430013]  [<c069b6ef>] bus_for_each_dev+0x42/0x6b
[    7.430013]  [<c069c131>] driver_attach+0x1f/0x23
[    7.430013]  [<c069c5dd>] ? driver_probe_device+0x208/0x208
[    7.430013]  [<c069bdb7>] bus_add_driver+0xcd/0x214
[    7.430013]  [<c069ca72>] driver_register+0x84/0xe3
[    7.430013]  [<c05f4f1f>] ? __raw_spin_lock_init+0x2d/0x4e
[    7.430013]  [<c06082a7>] __pci_register_driver+0x4f/0xac
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<f7862c8d>] drm_pci_init+0x7d/0xd9 [drm]
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<f79d7047>] nouveau_init+0x47/0x1000 [nouveau]
[    7.430013]  [<c040118a>] do_one_initcall+0x8c/0x146
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<f79d7000>] ? 0xf79d6fff
[    7.430013]  [<c0477d85>] sys_init_module+0x14ec/0x1715
[    7.430013]  [<c08589a4>] syscall_call+0x7/0xb
[    7.430013] Code: 00 00 81 c1 58 01 00 00 eb 07 39 50 0c 74 08 8b 00 39 c8 7
5 f5 31 c0 5d c3 55 89 e5 57 56 53 83 ec 18 3e 8d 74 26 00 89 c3 89 d0 <8b> 53 
68 89 ce 89 4c 24 08 31 c9 8b 7b 5c c7 44 24 04 03 00 00                      
[    7.430013] EIP: [<f795f57d>] nouveau_bo_vma_add+0x12/0xa6 [nouveau] SS:ESP 
0068:f368fc54                                                                 
[    7.430013] CR2: 0000000000000068
[   11.076929] ---[ end trace 7b0a06a016f32a91 ]---

Comment 2 Joonas Sarajärvi 2011-09-13 16:51:43 UTC
After updating the kernel to a new release [1], I no longer experience this bug. Thank you, whoever got it fixed :-)

[1] https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.0.fc16


Note You need to log in before you can comment on or make changes to this bug.